# Racoon IKE daemon configuration file for totoro/ipsec2.
# See 'man racoon.conf' for a description of the format and entries.

path certificate "/usr/local/etc/racoon/certs";

listen
{
        adminsock "/var/run/racoon.sock";
}

remote anonymous
{
        exchange_mode main;
        my_identifier fqdn "ipsec2.hack.org";

	certificate_type plain_rsa "ipsec2.rsa";

        peers_certfile plain_rsa;

	verify_cert off;

        proposal
        {
                encryption_algorithm aes;
                hash_algorithm sha256;
                authentication_method rsasig;
                dh_group 2;
        }
}

sainfo anonymous
{
         encryption_algorithm aes;
         authentication_algorithm hmac_sha256;
         compression_algorithm deflate;
}
